Extending Qt Creator Manual | PersistentTrie Namespace

Extending Qt Creator Manual 4.5.2

# PersistentTrie Namespace

(QmlJS::PersistentTrie)

## Classes

class | Trie
class | TrieNode

## Types

enum | LookupFlags { CaseInsensitive, Partial, SkipChars, SkipSpaces }

## Functions

void | enumerateTrieNode(const TrieNode::Ptr &trie, T &t, QString base = QString())

## Classes

### class Trie

The Trie class implements a trie that is persistent (not on disk but in memory). More...

### class TrieNode

## Type Documentation

### enum PersistentTrie::LookupFlags

## Function Documentation

### void PersistentTrie::enumerateTrieNode(const TrieNode::Ptr &trie, T &t, QString base = QString())